//*******************************************************************************
//******tits_blending.shader for map tits by WuTangH***************************** 
//******Shader made by Teuthis and WuTangH based on Tutorial by Sock*************
//*******************************************************************************


//*******************************************************************************
//********shader for aplha poles*************************************************
//*******************************************************************************

textures/tits_blend/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/tits_blend/alpha_025	//25 percent secondary texture
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/tits_blend/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/tits_blend/alpha_075	//75 percent secondary texture
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/tits_blend/alpha_085	//85 percent secondary texture
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/tits_blend/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

// ======================================================================
// shader for blending of texture mud1
// ======================================================================
textures/tits_blend/mud1
{
	qer_editorimage textures/tits_blend/mud1.tga
	surfaceparm gravelsteps
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeAngle 60
	
	{
		// Primary
		map textures/egypt_plus/floor2.jpg
		rgbGen identity
	}
	{
		// Secondary
		map textures/egypt_floor_sd/sandy_dirt_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// shader for blending of texture dirt1
// ======================================================================
textures/tits_blend/dirt1
{
	qer_editorimage textures/tits_blend/dirt1.tga
	surfaceparm gravelsteps
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeAngle 60
	
	{
		// Primary
		map textures/egypt_floor_sd/sandy_dirt_01.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/egypt_walls_sd/debri_m05.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// shader for blending of texture rock1
// ======================================================================
textures/tits_blend/rock1
{
	qer_editorimage textures/tits_blend/rock1.tga
	surfaceparm gravelsteps
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeAngle 60
	
	{
		// Primary
		map textures/temperate_sd\sand_patchnoise.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/egypt_walls_sd/debri_m05.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// shader for blending of texture moss1
// ======================================================================
textures/tits_blend/moss1
{
	qer_editorimage textures/tits_blend/moss1.tga
	surfaceparm gravelsteps
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeAngle 60
	
	{
		// Primary
		map textures/temperate_sd/rocky_sand.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/egypt_floor_sd/sandy_dirt_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

